Boolean option for list configuration.

package | lists
author | Roland Gruber

### Methods

## Creates a new boolean option.

    __construct(String $name, String $ID) : \lamBooleanListOption

### Parameters

#### $name

`String`

name to show on config page

#### $ID

`String`

unique ID

### Returns

`\lamBooleanListOption`config option

## Fills the config option from POST data.

    fillFromPostData() : array

### Returns

`array`list of StatusMessages (array(, ,
))

## Returns the option ID.

    getID() : String

Inherited

inherited_from | \lamListOption::getID()

### Returns

`String`ID

## Returns the meta HTML data to display this option.

    getMetaHTML() : \htmlTable

### Returns

`\htmlTable`meta HTML

## Returns the option value.

    getValue() : String

Inherited

The value must not contain "=" and ";".

inherited_from | \lamListOption::getValue()

### Returns

`String`value

## Returns if this option is selected.

    isSelected() : boolean

### Returns

`boolean`true, if selected

## Sets the config option value.

    setValue(String $value)

Inherited

The value must not contain "=" and ";".

inherited_from | \lamListOption::setValue()

### Parameters

#### $value

`String`

### Properties

## unique ID

    $ID

Inherited

inherited_from | \lamListOption::$$ID

## option name

    $name

## option value

    $value

Inherited

inherited_from | \lamListOption::$$value